### Hierarchy

- ObjectListItemProps
  - ObjectListItemDndProps

## Index

### Properties

- connectDragSource
- connectDropTarget
- containerProperties
- data
- filterPredicate
- handlers
- imageProvider
- isDragging
- isRoot
- labelProvider
- moveListItem
- parentProperties
- path
- rootData
- schema
- selection

## Properties

### connectDragSource

connectDragSource: any

- Defined in tree/ObjectListItem.tsx:328

### connectDropTarget

connectDropTarget: any

- Defined in tree/ObjectListItem.tsx:329

### Optional containerProperties

containerProperties: Property[]

Inherited from ObjectListItemProps.containerProperties

- Defined in tree/ObjectListItem.tsx:156

Self contained schemas of the corresponding schema

### data

data: any

Inherited from ObjectListItemProps.data

- Defined in tree/ObjectListItem.tsx:145

### filterPredicate

filterPredicate: any

Inherited from ObjectListItemProps.filterPredicate

- Defined in tree/ObjectListItem.tsx:152

### handlers

handlers: object

Inherited from ObjectListItemProps.handlers

- Defined in tree/ObjectListItem.tsx:147

#### Type declaration

- ##### onAdd: any

- ##### Optional onRemove?: any

- ##### onSelect: any

### imageProvider

imageProvider: any

Inherited from ObjectListItemProps.imageProvider

- Defined in tree/ObjectListItem.tsx:157

### isDragging

isDragging: boolean

- Defined in tree/ObjectListItem.tsx:327

### Optional isRoot

isRoot: boolean

- Defined in tree/ObjectListItem.tsx:320

### labelProvider

labelProvider: InstanceLabelProvider

Inherited from ObjectListItemProps.labelProvider

- Defined in tree/ObjectListItem.tsx:158

### moveListItem

moveListItem: any

- Defined in tree/ObjectListItem.tsx:319

### Optional parentProperties

parentProperties: Property[]

- Defined in tree/ObjectListItem.tsx:325

The Containment Properties of the parent list containing this item. Will be needed to determine whether another list item can be dropped next to this one.

### path

path: string

Inherited from ObjectListItemProps.path

- Defined in tree/ObjectListItem.tsx:142

### rootData

rootData: any

Inherited from ObjectListItemProps.rootData

- Defined in tree/ObjectListItem.tsx:144

### schema

schema: JsonSchema7

Inherited from ObjectListItemProps.schema

- Defined in tree/ObjectListItem.tsx:143

### selection

selection: any

Inherited from ObjectListItemProps.selection

- Defined in tree/ObjectListItem.tsx:146

Generated using TypeDoc